<?php

declare(strict_types=1);

namespace App\Controller\TblRepresentante;

use App\Service\TblRepresentanteService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblRepresentanteService(): TblRepresentanteService
    {
        return $this->container->get('TblRepresentante_service');
    }
}
